@import url("https://fonts.googleapis.com/css?family=Press+Start+2P&display=swap");

* {
  box-sizing: border-box;
}

body {
  background-color: #516dff;
  color: #fff;
  font-family: "Press Start 2P", sans-serif;
  height: 100vh;
  overflow: hidden;
  margin: 0;
  text-align: center;
}

a {
  color: #fff;
}

h1 {
  line-height: 1.4;
}

.btn {
  border: 0;
  background-color: #fff;
  color: #516dff;
  padding: 15px 20px;
  font-family: inherit;
  cursor: pointer;
}

.btn:focus {
  outline: none;
}

.btn:hover {
  opacity: 0.9;
}

.screen {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100vh;
  width: 100vw;
  transition: margin 0.5s ease-out;
}

.screen.up {
  margin-top: -100vh;
}

.screen.down {
  margin-top: 100vh;
}

.insects-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  list-style-type: none;
  padding: 0;
}

.insects-list li {
  margin: 10px;
}

.choose-insect-btn {
  background-color: transparent;
  border: 2px solid #fff;
  color: #fff;
  cursor: pointer;
  font-family: inherit;
  width: 150px;
  height: 150px;
}

.choose-insect-btn:focus {
  outline: none;
}

.choose-insect-btn:hover {
  background-color: #fff;
  color: #516dff;
}

.choose-insect-btn:active {
  background-color: rgba(255, 255, 255, 0.7);
}

.choose-insect-btn img {
  width: 100px;
  height: 100px;
  object-fit: contain;
}

.choose-insect-btn.mixed-insects img {
  width: 50px;
  height: 50px;
}

.game-container {
  position: relative;
}

.insects-container {
  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 80vh;
  width: 90vw;
  left: 100px;
  top: 110px;
}

.time,
.score {
  position: absolute;
  top: 20px;
}

.time {
  left: 80px;
}

.score {
  right: 80px;
}

.message {
  line-height: 1.7;
  background-color: rgba(0, 0, 0, 0.4);
  width: 100%;
  padding: 20px;
  z-index: 100;
  text-align: center;
  opacity: 0;
  position: absolute;
  top: 0;
  left: 50%;
  transform: translate(-50%, -150%);
  transition: transform 0.4s ease-in;
  pointer-events: none;
}

.message.visible {
  opacity: 1;
  transform: translate(-50%, 150%);
}
.message.remove {
  transform: translate(-50%, -150%);
}

.insect {
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100px;
  height: 100px;
  position: absolute;
  transform: translate(-50%, -50%) scale(1);
  transition: transform 0.3s ease-out;
}

.insect.caught {
  transform: translate(-50%, -50%) scale(0);
}

.insect img {
  width: 100px;
  height: 100px;
}

.noselect {
  -webkit-touch-callout: none;
  /* iOS Safari */
  -webkit-user-select: none;
  /* Safari */
  -khtml-user-select: none;
  /* Konqueror HTML */
  -moz-user-select: none;
  /* Firefox */
  -ms-user-select: none;
  /* Internet Explorer / Edge */
  user-select: none;
  /* Non-prefixed version */
}

.restart-btn {
  position: absolute;
  border: none;
  border-radius: 5px;
  font-family: inherit;
  padding: 10px 20px;
  left: 80px;
  top: 70px;
  cursor: pointer;
}

@media (max-width: 600px) {
  h1 {
    font-size: 16px;
  }

  .choose-insect-btn {
    width: 113px;
    height: 113px;
  }
  .choose-insect-btn p {
    font-size: 11px;
    margin: 5px auto;
  }

  .choose-insect-btn img {
    width: 75px;
    height: 75px;
  }

  .choose-insect-btn.mixed-insects img {
    width: 37px;
    height: 37px;
  }

  .insects-container {
    height: 84vh;
    width: 92vw;
    left: 20px;
    top: 80px;
  }

  .insect {
    width: 75px;
    height: 75px;
  }

  .insect img {
    width: 75px;
    height: 75px;
  }

  .time,
  .score {
    font-size: 16px;
    margin: 5px 0;
  }

  .time {
    left: 40px;
  }

  .score {
    right: 40px;
  }

  .restart-btn {
    padding: 4px 8px;
    font-size: 11px;
    top: 50px;
    left: 40px;
  }
}
